MetaSoul

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Protected Types | Protected Member Functions | List of all members
emoshapeio::client_impl_base Class Referenceabstract

`#include <sio_client_impl.h>`

Inheritance diagram for emoshapeio::client_impl_base:

## Public Types
enum | con_state { con_opening , con_opened , con_closing , con_closed }

## Public Member Functions
| client_impl_base ()
virtual void | template_init ()
virtual | ~client_impl_base ()
virtual void | set_open_listener (client::con_listener const &)
virtual void | set_fail_listener (client::con_listener const &)
virtual void | set_reconnect_listener (client::reconnect_listener const &)
virtual void | set_reconnecting_listener (client::con_listener const &)
virtual void | set_close_listener (client::close_listener const &)
virtual void | set_socket_open_listener (client::socket_listener const &)
virtual void | set_socket_close_listener (client::socket_listener const &)
virtual void | clear_con_listeners ()
virtual void | clear_socket_listeners ()
virtual void | connect (const string &uri, const map< string, string > &query, const map< string, string > &headers, const std::string &path="socket.io")
virtual emoshapeio::socket::ptr const & | socket (const std::string &nsp)=0
virtual void | close ()
virtual void | sync_close ()
virtual bool | opened () const
virtual std::string const & | get_sessionid () const =0
virtual void | set_reconnect_attempts (unsigned attempts)
virtual void | set_reconnect_delay (unsigned millis)
virtual void | set_reconnect_delay_max (unsigned millis)
virtual void | send (packet &p)
virtual void | remove_socket (std::string const &nsp)
virtual asio::io_service & | get_io_service ()=0
virtual void | on_socket_closed (std::string const &nsp)
virtual void | on_socket_opened (std::string const &nsp)
virtual void | set_logs_default ()
virtual void | set_logs_quiet ()
virtual void | set_logs_verbose ()
virtual std::string const & | get_current_url () const =0

## Static Public Member Functions
static bool | is_tls (const std::string &uri)

## Protected Types
typedef void(emoshapeio::socket::* | socket_void_fn) (void)

## Protected Member Functions
emoshapeio::socket * | new_socket (std::string const &)
void | socket_on_message_packet (emoshapeio::socket::ptr &, packet const &)
socket_void_fn | socket_on_close ()
socket_void_fn | socket_on_disconnect ()
socket_void_fn | socket_on_open ()

## Member Typedef Documentation

## ◆ socket_void_fn

typedef void(emoshapeio::socket::* emoshapeio::client_impl_base::socket_void_fn) (void)
| protected

## Member Enumeration Documentation

## ◆ con_state

enum emoshapeio::client_impl_base::con_state

Enumerator
con_opening |
con_opened |
con_closing |
con_closed |

## Constructor & Destructor Documentation

## ◆ client_impl_base()

emoshapeio::client_impl_base::client_impl_base | ( |  | ) |
| inline

## ◆ ~client_impl_base()

virtual emoshapeio::client_impl_base::~client_impl_base | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ clear_con_listeners()

virtual void emoshapeio::client_impl_base::clear_con_listeners | ( |  | ) |
| inline virtual

## ◆ clear_socket_listeners()

virtual void emoshapeio::client_impl_base::clear_socket_listeners | ( |  | ) |
| inline virtual

## ◆ close()

virtual void emoshapeio::client_impl_base::close | ( |  | ) |
| inline virtual

Reimplemented in emoshapeio::client_impl< client_type >.

## ◆ connect()

virtual void emoshapeio::client_impl_base::connect | ( | const string & | uri,
|  | const map< string, string > & | query,
|  | const map< string, string > & | headers,
|  | const std::string & | path = "socket.io" )
| inline virtual

## ◆ get_current_url()

virtual std::string const & emoshapeio::client_impl_base::get_current_url | ( |  | ) | const
| pure virtual

Implemented in emoshapeio::client_impl< client_type >.

## ◆ get_io_service()

virtual asio::io_service & emoshapeio::client_impl_base::get_io_service | ( |  | ) |
| pure virtual

Implemented in emoshapeio::client_impl< client_type >.

## ◆ get_sessionid()

virtual std::string const & emoshapeio::client_impl_base::get_sessionid | ( |  | ) | const
| pure virtual

Implemented in emoshapeio::client_impl< client_type >.

## ◆ is_tls()

bool emoshapeio::client_impl_base::is_tls | ( | const std::string & | uri | ) |
| static

## ◆ new_socket()

socket * emoshapeio::client_impl_base::new_socket | ( | std::string const & |  | ) |
| protected

## ◆ on_socket_closed()

virtual void emoshapeio::client_impl_base::on_socket_closed | ( | std::string const & | nsp | ) |
| inline virtual

Reimplemented in emoshapeio::client_impl< client_type >.

## ◆ on_socket_opened()

virtual void emoshapeio::client_impl_base::on_socket_opened | ( | std::string const & | nsp | ) |
| inline virtual

Reimplemented in emoshapeio::client_impl< client_type >.

## ◆ opened()

virtual bool emoshapeio::client_impl_base::opened | ( |  | ) | const
| inline virtual

Reimplemented in emoshapeio::client_impl< client_type >.

## ◆ remove_socket()

virtual void emoshapeio::client_impl_base::remove_socket | ( | std::string const & | nsp | ) |
| inline virtual

Reimplemented in emoshapeio::client_impl< client_type >.

## ◆ send()

virtual void emoshapeio::client_impl_base::send | ( | packet & | p | ) |
| inline virtual

Reimplemented in emoshapeio::client_impl< client_type >.

## ◆ set_close_listener()

virtual void emoshapeio::client_impl_base::set_close_listener | ( | client::close_listener const & |  | ) |
| inline virtual

## ◆ set_fail_listener()

virtual void emoshapeio::client_impl_base::set_fail_listener | ( | client::con_listener const & |  | ) |
| inline virtual

## ◆ set_logs_default()

virtual void emoshapeio::client_impl_base::set_logs_default | ( |  | ) |
| inline virtual

Reimplemented in emoshapeio::client_impl< client_type >.

## ◆ set_logs_quiet()

virtual void emoshapeio::client_impl_base::set_logs_quiet | ( |  | ) |
| inline virtual

Reimplemented in emoshapeio::client_impl< client_type >.

## ◆ set_logs_verbose()

virtual void emoshapeio::client_impl_base::set_logs_verbose | ( |  | ) |
| inline virtual

Reimplemented in emoshapeio::client_impl< client_type >.

## ◆ set_open_listener()

virtual void emoshapeio::client_impl_base::set_open_listener | ( | client::con_listener const & |  | ) |
| inline virtual

## ◆ set_reconnect_attempts()

virtual void emoshapeio::client_impl_base::set_reconnect_attempts | ( | unsigned | attempts | ) |
| inline virtual

Reimplemented in emoshapeio::client_impl< client_type >.

## ◆ set_reconnect_delay()

virtual void emoshapeio::client_impl_base::set_reconnect_delay | ( | unsigned | millis | ) |
| inline virtual

Reimplemented in emoshapeio::client_impl< client_type >.

## ◆ set_reconnect_delay_max()

virtual void emoshapeio::client_impl_base::set_reconnect_delay_max | ( | unsigned | millis | ) |
| inline virtual

Reimplemented in emoshapeio::client_impl< client_type >.

## ◆ set_reconnect_listener()

virtual void emoshapeio::client_impl_base::set_reconnect_listener | ( | client::reconnect_listener const & |  | ) |
| inline virtual

## ◆ set_reconnecting_listener()

virtual void emoshapeio::client_impl_base::set_reconnecting_listener | ( | client::con_listener const & |  | ) |
| inline virtual

## ◆ set_socket_close_listener()

virtual void emoshapeio::client_impl_base::set_socket_close_listener | ( | client::socket_listener const & |  | ) |
| inline virtual

## ◆ set_socket_open_listener()

virtual void emoshapeio::client_impl_base::set_socket_open_listener | ( | client::socket_listener const & |  | ) |
| inline virtual

## ◆ socket()

virtual emoshapeio::socket::ptr const & emoshapeio::client_impl_base::socket | ( | const std::string & | nsp | ) |
| pure virtual

Implemented in emoshapeio::client_impl< client_type >.

## ◆ socket_on_close()

socket_void_fn emoshapeio::client_impl_base::socket_on_close | ( |  | ) |
| inline protected

## ◆ socket_on_disconnect()

socket_void_fn emoshapeio::client_impl_base::socket_on_disconnect | ( |  | ) |
| inline protected

## ◆ socket_on_message_packet()

void emoshapeio::client_impl_base::socket_on_message_packet | ( | emoshapeio::socket::ptr & | s,
|  | packet const & | p )
| protected

## ◆ socket_on_open()

socket_void_fn emoshapeio::client_impl_base::socket_on_open | ( |  | ) |
| inline protected

## ◆ sync_close()

virtual void emoshapeio::client_impl_base::sync_close | ( |  | ) |
| inline virtual

Reimplemented in emoshapeio::client_impl< client_type >.

## ◆ template_init()

virtual void emoshapeio::client_impl_base::template_init | ( |  | ) |
| inline virtual

Reimplemented in emoshapeio::client_impl< client_type >, and emoshapeio::client_impl< client_type >.

The documentation for this class was generated from the following files:

- EmoShapeIOLib/Private/internal/sio_client_impl.h
- EmoShapeIOLib/Private/internal/sio_client_impl.cpp